## org.codehaus.groovy.grails.support
Class MockResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.codehaus.groovy.grails.support.MockResourceLoader

All Implemented Interfaces:
  ResourceLoader

Direct Known Subclasses:
  MockStringResourceLoader

    public class MockResourceLoader

extends DefaultResourceLoader

A ResourceLoader that loads from the file system if its not found on the classpath. Useful for mock testing

Since:
  0.4

  Created: Feb 8, 2007 Time: 2:50:59 PM
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Constructor Summary
`MockResourceLoader()`

Method Summary
`Resource` `getResource(String location)`

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
`getClassLoader, getResourceByPath, setClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockResourceLoader

    public MockResourceLoader()

Method Detail

### getResource

    public Resource getResource(String location)

  Specified by:
    `getResource` in interface `ResourceLoader`
  Overrides:
    `getResource` in class `DefaultResourceLoader`

Copyright (c) 2005-2009 The Grails project